Memory
Import governed memory
POST /v1/memory/imports · SDK importMemories · CLI deployments memory import
POST
Requires memory:write.
tenantJwtheader
AuthorizationBearer <token>Tenant JWT carrying organization, project, and environment claims.
x-deployments-environment?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key?stringLimited to 500 UTF-8 bytes.
Length
1 <= length <= 500application/json- body
data*array<>Items
1 <= items <= 100memorySpaceId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$space?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$MemoryObjectResponse
application/json- response
curl -X POST "https://example.com/v1/memory/imports" \ -H "Content-Type: application/json" \ -d '{ "data": [ { "content": "string", "scope": "agent" } ], "memorySpaceId": "string" }'{}